/**
 * 跨國搬家頁面樣式
 *
 * @package mytheme
 */

/* cost */
.cost-section {
  padding-bottom: 76px;
  position: relative;
}

.cost-wrap {
  width: 100%;
  max-width: 1066px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 62px;
  margin-top: 30px;
}
.cost-box {
  align-self: stretch;
  display: flex;
  align-items: center;
  gap: 31px;
}
.cost-green-head {
  height: 52px;
  width: 320px;
  background-color: #53bf6f;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.cost-title {
  position: relative;
  color: #fff;
}

.green-title {
  color: #53bf6f;
}
.cost-text {
  position: relative;
  line-height: 121.13%;
  color: #000;
}
.cost-white-head {
  height: 52px;
  width: 320px;
  border: 1px solid #53bf6f;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
}
.cost-note-wrap {
  width: 100%;
  max-width: 352px;
  display: flex;
  align-items: flex-start;
  gap: 12px;
}
.cost-note-head {
  height: 28px;
  width: 100px;
  background-color: #8caee2;
  display: flex;
  align-items: center;
  justify-content: center;
  box-sizing: border-box;
}
.cost-note-title {
  position: relative;
  color: #fff;
  flex-shrink: 0;
}
.type-wrap {
  align-self: stretch;
  display: flex;
  align-items: center;
  padding-top: 121px;
  gap: 102px;
}
.type-box {
  display: flex;
  align-items: center;
  position: relative;
  isolation: isolate;
}
.type-upper-right-dec-icon {
  height: 200px;
  width: 200px;
  position: absolute;
  margin: 0 !important;
  top: -61px;
  left: 260px;
  z-index: 0;
  flex-shrink: 0;
}
.type-inner-wrap {
  width: 390px;
  box-shadow: 0px 4px 25.2px rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(16.6px);
  background-color: rgba(255, 255, 255, 0.5);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 60px 25px;
  box-sizing: border-box;
  gap: 31px;
  z-index: 1;
  flex-shrink: 0;
}
.type-inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
}
.type-title {
  position: relative;
  font-size: 1.25rem;
  color: #53bf6f;
  font-weight: 500;
}
.type-text {
  position: relative;
  color: #000;
}
.type-hr {
  width: 100%;
  flex: 1;
  position: relative;
  border-top: 0.5px solid #000;
  box-sizing: border-box;
}
.cost-highlight-text {
  position: relative;
  color: #b10000;
  margin: 36px auto;
}

/*recommend */
.recommend-section {
  padding: 109px 0 100px;
  background: rgba(238, 238, 238, 0.4);
}
.recommend-title-wrapper {
  position: relative;
}
.recommend-h2-dec {
  position: absolute;
  right: -140px;
  top: -90px;
}
.recommend-wrap {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 36px;
  margin: 30px auto 36px;
}
.recommend-box {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 24px;
}
.recommend-head {
  width: 198px;
  height: 46px;
  border-radius: 93.5px;
  background: conic-gradient(
      from -88.95deg at 50% 50%,
      #7fd596 0deg,
      #5a8164 360deg
    )
    border-box;
  border: 2px solid transparent;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 1;
  overflow: hidden;
  gap: 9.83px;
}

.recommend-head::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: #ffffff;
  border-radius: 93.5px;
  z-index: -1;
}
.recommend-title {
  position: relative;
  line-height: 40px;
  font-weight: 500;
  border-radius: 93.5px;
  text-align: center;
  color: #5a8164;
}
.recommend-inner {
  align-self: stretch;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  color: #000;
}
.recommend-text {
  width: 135px;
  text-align: center;
  position: relative;
  line-height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}
.recommend-hr {
  height: 37px;
  width: 1px;
  position: relative;
  border-right: 1px solid #000;
  box-sizing: border-box;
}
.recommend-title-dec-icon {
  width: 27px;
  height: 27px;
  position: relative;
  max-height: 100%;
}
.recommend-des-container {
  box-shadow: 0px 4px 15.6px rgba(0, 0, 0, 0.25);
  background-color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 45px 50px;
  box-sizing: border-box;
  color: #000;
  margin-bottom: -21px;
}
.recommend-des-text {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}

/* container */
.container-section {
  padding: 86px 0 90px;
  position: relative;
  z-index: 1;
}

.container-section::before {
  content: "";
  background-image: url(../../images/container-right-dec.webp);
  background-repeat: no-repeat;
  background-position: right bottom;
  background-size: contain;
  position: absolute;
  right: 0;
  bottom: 104px;
  width: 645px;
  height: 839px;
  z-index: -1;
  pointer-events: none;
}
.move-con-section {
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 34px;
  text-align: center;
  font-size: 24px;
  color: #5a8164;
  font-family: Inter;
}
.con-up-wrap {
  display: flex;
  align-items: center;
  gap: 84px;
  margin: 30px auto 48px;
}
.con-up-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}
.con-up-head {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.con-top-title {
  position: relative;
  color: #5a8164;
  line-height: 42px;
  font-weight: 500;
}
.con-up-head-child {
  position: relative;
}
.con-up-inner {
  align-self: stretch;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;
  color: #000;
}
.con-up-text {
  position: relative;
  line-height: 42px;
}
.con-up-hr {
  align-self: stretch;
  height: 1px;
  position: relative;
  border-top: 1px solid #5a8164;
  box-sizing: border-box;
}
.bottom-wrap-head {
  position: relative;
  line-height: 42px;
  font-weight: 500;
  color: #ffac27;
  font-size: 1.25rem;
}
.con-bottom-wrap {
  align-self: stretch;
  display: flex;
  align-items: center;
  gap: 8px;
  color: #000;
  margin: 20px auto 36px;
}
.con-bottom-inner {
  border: 2px solid #ffac27;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 13px 43px;
}
.con-bottom-text {
  position: relative;
  line-height: 42px;
  font-size: 1.25rem;
}
.con-bottom-dec-icon {
  height: 14px;
  width: 75px;
  position: relative;
}

/* service */
.service-section {
  padding: 67px 0;
  margin-bottom: 157px;
  background-image: url(../../images/international-service-bg.webp);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}
.ser-wrap {
  display: flex;
  align-items: center;
  gap: 94px;
  margin: 30px auto 36px;
}
.ser-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
}
.ser-head-wrap {
  width: 528px;
  height: 108px;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  padding: 21px 180px;
  box-sizing: border-box;
  position: relative;
  isolation: isolate;
  gap: 10px;
}
.ser-head-wrap picture {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 0;
}
.ser-head-dec-icon {
  height: 108px;
  width: 528px;
  position: absolute;
  margin: 0 !important;
  top: 0px;
  left: 0px;
  z-index: 0;
  flex-shrink: 0;
}
.ser-title {
  position: relative;
  line-height: 40px;
  font-weight: 500;
  color: #fff;
  z-index: 1;
  flex-shrink: 0;
}
.ser-text {
  position: relative;
  line-height: 40px;
  color: #000;
}
.ser-des-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  position: relative;
  isolation: isolate;
  color: #000;
}
.ser-des-inner {
  box-shadow: 0px 4px 14.4px rgba(0, 0, 0, 0.25);
  background-color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 30px 57px;
  box-sizing: border-box;
  z-index: 0;
  flex-shrink: 0;
  margin-bottom: 40px;
}
.ser-des-text {
  position: relative;
  line-height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}
.ser-des-dec-icon {
  width: 100%;
  height: auto;
  position: absolute;
  margin: 0 !important;
  top: 16px;
  left: -14px;
  z-index: 1;
  flex-shrink: 0;
}

@media (max-width: 480px) {
  .cost-section {
    padding-bottom: 28px;
  }

  .cost-section::after {
    content: "";
    position: absolute;
    left: 0;
    top: 38.4%;
    transform: translateY(-50%);
    background-image: url(../../images/studio-calculator-dec-rwd.webp);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: bottom left;
    width: 95px;
    height: 94px;
    z-index: 0;
    pointer-events: none;
  }
  .cost-wrap {
    margin: 24px auto 0;
    gap: 28px;
    max-width: 248px;
    position: relative;
  }

  .cost-box {
    flex-direction: column;
    gap: 12px;
    align-items: flex-start;
  }

  .cost-green-head,
  .cost-white-head {
    height: 28px;
    width: 100%;
  }

  .cost-note-head {
    width: 50px;
    height: 20px;
  }

  .cost-note-title {
    font-size: 12px !important;
  }

  /* type */
  .type-wrap {
    padding-top: 58px;
    flex-direction: column;
    gap: 66px;
    max-width: 220px;
    align-self: center;
    width: 100%;
  }

  .type-box {
    width: 100%;
  }

  .type-inner-wrap {
    width: 100%;
    gap: 16px;
    padding: 38px 19px;
  }

  .type-inner {
    gap: 6px;
  }

  .type-upper-right-dec-icon {
    width: 113px;
    height: 113px;
    top: -34px;
    right: -37px;
    left: auto;
  }

  .cost-highlight-text {
    margin: 24px auto 20px;
  }

  /* recommend */
  .recommend-section {
    padding: 36px 0;
  }

  .recommend-h2-dec {
    position: absolute;
    right: -58px;
    top: -25.5px;
  }

  .recommend-wrap {
    margin: 24px auto;
    gap: 32px;
  }

  .recommend-box {
    gap: 16px;
  }

  .recommend-head {
    max-width: 148px;
    height: 28px;
  }

  .recommend-inner {
    gap: 12px 16px;
    flex-wrap: wrap;
    max-width: 295px;
  }

  .recommend-title-dec-icon {
    width: 13px;
    height: 13px;
  }

  .recommend-title {
    line-height: 40px !important;
  }

  .recommend-text {
    width: auto;
    max-width: 72px;
  }

  .recommend-des-container {
    height: 120px;
    width: 100%;
    max-width: 250px;
    margin-bottom: -11px;
    padding: 0;
  }

  .recommend-des-text {
    flex-shrink: 1;
    max-width: 206px;
  }

  /* container */
  .container-section {
    padding: 28px 0;
  }

  .container-section::before {
    background-image: url(../../images/international-truck-rwd-dec.webp);
    width: 189px;
    height: 312px;
    bottom: 269px;
  }

  .con-up-wrap {
    margin: 24px auto 32px;
    gap: 28px;
    flex-direction: column;
  }

  .con-bottom-wrap {
    margin: 8px auto 24px;
    width: 100%;
    max-width: 200px;
    flex-direction: column;
    gap: 8px;
  }
  .con-up-head {
    gap: 1.43px;
  }

  .con-up-head-child {
    height: 33px;
    width: auto;
  }

  .bottom-wrap-head {
    line-height: normal;
    font-size: 1rem;
  }

  .con-bottom-inner {
    width: 100%;
    height: 28px;
    border: 1px solid #ffac27;
  }
  .con-bottom-dec-icon {
    width: auto;
    height: auto;
  }

  /* service */
  .service-section {
    background-image: url(../../images/international-tw-rwd-dec.webp);
    padding: 36px 0 42px;
    margin-bottom: 52px;
  }

  .ser-wrap {
    margin: 24px auto;
    gap: 28px;
    flex-direction: column;
    max-width: 265px;
  }

  .ser-box {
    gap: 19px;
    width: 100%;
  }

  .ser-head-wrap {
    width: 100%;
    padding: 0;
    height: 32px;
    align-items: center;
    justify-content: center;
  }

  .ser-head-dec-icon {
    height: auto;
    width: 100%;
  }

  .ser-des-inner {
    padding: 0;
    width: 274px;
    height: 85px;
    margin-bottom: -7px;
  }

  .ser-des-text {
    max-width: 193px;
    font-size: 10px !important;
    text-align: center;
  }

  .ser-des-dec-icon {
    left: auto;
    right: 6px;
    bottom: -13px;
    top: auto;
  }
}
